### Constructor

# Dex Future with_timeout_seconds

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_future_with_timeout_seconds (
      DexFuture* future,
      int seconds
    )

#### Description [src]

Creates a new `DexFuture` that resolves or rejects with the same result as `future`, unless `seconds` elapses first. If the timeout elapses first, the returned future rejects with `DEX_ERROR_TIMED_OUT` and discards `future`.

Available since: 1.2

#### Parameters

`future`

  Type: `DexFuture`

  A `DexFuture`.

  The called function takes ownership of the data, and is responsible for freeing it.

`seconds`

  Type: `int`

  Number of seconds.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.